Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.concurrency
Interface IEntityCache

All Known Implementing Classes:
  ReferenceEntityCache, ReferenceInvalidatingEntityCache

    public interface IEntityCache

Defines the api for a cache that caches `IBasicEntities` of a single type.

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck

Method Summary
`void` | `add(IBasicEntity entity)`
`void` | `cleanupCache()` Purge stale entries from the cache.
`void` | `clearCache()` Remove all entries from the cache.
`IBasicEntity` | `get(java.lang.String key)`
`java.lang.Class` | `getEntityType()`
`void` | `remove(java.lang.String entityKey)`
`int` | `size()` Answers the number of entries in the cache.
`void` | `update(IBasicEntity entity)`

Method Detail

### add

    void add(IBasicEntity entity)
             throws CachingException

  Parameters:
    `entity` - - the entity to be cached.
  Throws:
    `CachingException`

### cleanupCache

    void cleanupCache()
                      throws CachingException

  Purge stale entries from the cache.

  Throws:
    `CachingException`

### clearCache

    void clearCache()
                    throws CachingException

  Remove all entries from the cache.

  Throws:
    `CachingException`

### get

    IBasicEntity get(java.lang.String key)

  Parameters:
    `key` - the key of the entity.
  Returns:
    org.jasig.portal.concurrency.IBasicEntity

### getEntityType

    java.lang.Class getEntityType()

  Returns:
    java.lang.Class
  See Also:
    `for known types.`

### remove

    void remove(java.lang.String entityKey)
                throws CachingException

  Parameters:
    `entityKey` - - the key of the entity to be un-cached.
  Throws:
    `CachingException`

### size

    int size()

  Answers the number of entries in the cache.

### update

    void update(IBasicEntity entity)
                throws CachingException

  Parameters:
    `entity` - - the entity to be updated in the cache.
  Throws:
    `CachingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD